Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168.api
Class RenderResponseImpl

    java.lang.Object
      org.jboss.portal.portlet.impl.jsr168.api.PortletResponseImpl
          org.jboss.portal.portlet.impl.jsr168.api.MimeResponseImpl
              org.jboss.portal.portlet.impl.jsr168.api.RenderResponseImpl

All Implemented Interfaces:
  javax.portlet.MimeResponse, PortletResponse, RenderResponse

    public class RenderResponseImpl

extends MimeResponseImpl
implements RenderResponse

Version:
  $Revision: 6704 $
Author:
  Julien Viet

Field Summary
`protected java.util.Set<org.jboss.portal.Mode>` | `responseNextModes` .
`protected java.lang.String` | `responseTitle` The title if any.

Fields inherited from class org.jboss.portal.portlet.impl.jsr168.api.MimeResponseImpl
`bufferSize, cacheControl`

Fields inherited from class org.jboss.portal.portlet.impl.jsr168.api.PortletResponseImpl
`invocation, preq`

Fields inherited from interface javax.portlet.RenderResponse
`EXPIRATION_CACHE`

Fields inherited from interface javax.portlet.MimeResponse
`CACHE_SCOPE, ETAG, EXPIRATION_CACHE, MARKUP_HEAD_ELEMENT, NAMESPACED_RESPONSE, PRIVATE_SCOPE, PUBLIC_SCOPE, USE_CACHED_CONTENT`

Constructor Summary
`RenderResponseImpl(RenderInvocation invocation, PortletRequestImpl preq)`

Method Summary
`protected ContentResponse` | `createMarkupResponse(ResponseProperties properties, java.util.Map<java.lang.String,java.lang.Object> attributeMap, java.lang.String contentType, byte[] bytes, java.lang.String chars, CacheControl cacheControl)`
`void` | `setContentType(java.lang.String contentType)` Sets the MIME type for the render response.
`void` | `setNextPossiblePortletModes(java.util.Collection<PortletMode> portletModes)`
`void` | `setTitle(java.lang.String title)` This method sets the title of the portlet.

Methods inherited from class org.jboss.portal.portlet.impl.jsr168.api.MimeResponseImpl
`addProperty, createActionURL, createRenderURL, createResourceURL, flushBuffer, getBufferSize, getCacheControl, getCharacterEncoding, getContentType, getLocale, getPortletOutputStream, getResponse, getWriter, isCommitted, reset, resetBuffer, setBufferSize`

Methods inherited from class org.jboss.portal.portlet.impl.jsr168.api.PortletResponseImpl
`addProperty, addProperty, createElement, encodeURL, getNamespace, getProperties, getProperties, getRealResponse, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.portlet.RenderResponse
`createActionURL, createRenderURL, flushBuffer, getBufferSize, getCharacterEncoding, getContentType, getLocale, getNamespace, getPortletOutputStream, getWriter, isCommitted, reset, resetBuffer, setBufferSize`

Methods inherited from interface javax.portlet.PortletResponse
`addProperty, encodeURL, setProperty`

Field Detail

### responseNextModes

    protected java.util.Set<org.jboss.portal.Mode> responseNextModes

  .

### responseTitle

    protected java.lang.String responseTitle

  The title if any.

Constructor Detail

### RenderResponseImpl

    public RenderResponseImpl(RenderInvocation invocation,
                              PortletRequestImpl preq)

Method Detail

### setTitle

    public void setTitle(java.lang.String title)

  Description copied from interface: `RenderResponse`
  This method sets the title of the portlet.

  The value can be a text String

  Specified by:
    `setTitle` in interface `RenderResponse`
  Parameters:
    `title` - portlet title as text String or resource URI

### setNextPossiblePortletModes

    public void setNextPossiblePortletModes(java.util.Collection<PortletMode> portletModes)

### setContentType

    public void setContentType(java.lang.String contentType)

  Description copied from interface: `RenderResponse`
  Sets the MIME type for the render response. The portlet must set the content type before calling `RenderResponse.getWriter()` or `RenderResponse.getPortletOutputStream()`.

  Calling `setContentType` after `getWriter` or `getOutputStream` does not change the content type.

  Specified by:
    `setContentType` in interface `javax.portlet.MimeResponse`
  Specified by:
    `setContentType` in interface `RenderResponse`
  Overrides:
    `setContentType` in class `MimeResponseImpl`
  Parameters:
    `contentType` - the content MIME type
  See Also:
    `PortletRequest.getResponseContentTypes()`, `RenderResponse.getContentType()`

### createMarkupResponse

    protected ContentResponse createMarkupResponse(ResponseProperties properties,
                                                   java.util.Map<java.lang.String,java.lang.Object> attributeMap,
                                                   java.lang.String contentType,
                                                   byte[] bytes,
                                                   java.lang.String chars,
                                                   CacheControl cacheControl)

  Specified by:
    `createMarkupResponse` in class `MimeResponseImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.